# class JGCrypto | Content crypto data. More...
Full name | `TelEngine::JGCrypto`
Definition | `#include <libs/yjabber/yatejingle.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline JGCrypto (const char* tag = "1", const char* suite = 0, const char* key = 0, const char* session = 0)
- inline JGCrypto (const XmlElement* xml)
- XmlElement* toXml () const
- void fromXml (const XmlElement* xml)

#### Public Static Methods

- static XmlElement* buildEncryption (const ObjList& list, bool required)
- static void decodeEncryption (const XmlElement* xml, ObjList& list, bool& required)

#### Public Members

- String m_suite
- String m_keyParams
- String m_sessionParams

## Detailed Description

This class holds a content description's crypto data. The tag is kept in the String component

inline JGCrypto (const char* tag = "1", const char* suite = 0, const char* key = 0, const char* session = 0) | ### JGCrypto

Constructor

Parameters:

tag | The tag parameter
suite | The crypto-suite paramter
key | The key-params parameter
session | The session-param parameter

inline JGCrypto (const XmlElement* xml) | ### JGCrypto

Constructor. Build this element from a received element

Parameters:

xml | The received xml element

XmlElement* toXml () | ### toXml

[const]

Create a 'crypto' element from this object

Returns: Valid XmlElement pointer

void fromXml (const XmlElement* xml) | ### fromXml

Build this element from a received element

Parameters:

xml | The received xml element

XmlElement* buildEncryption (const ObjList& list, bool required) | ### buildEncryption

[static]

Build an 'encryption' element from a list of crypto objects

Parameters:

list | The list of crypto objects
required | True if encryption is required

Returns: XmlElement pointer or 0 if the list is empty

void decodeEncryption (const XmlElement* xml, ObjList& list, bool& required) | ### decodeEncryption

[static]

Decode an 'encryption' element. Clear the list before starting

Parameters:

xml | The element to decode
list | The list to be filled with crypto objects
required | Variable to be filled with the value of the 'required' attribute

String m_suite | ### m_suite

String m_keyParams | ### m_keyParams

String m_sessionParams | ### m_sessionParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.